Bug 842241 - SELinux is preventing /usr/bin/bash from 'execute' accesses on the file /usr/bin/bash.
SELinux is preventing /usr/bin/bash from 'execute' accesses on the file /usr/...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:4fd99910c6c8d3eb5bcc6dd7b3e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 04:32 EDT by ishan
Modified: 2012-08-01 14:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-01 14:21:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ishan 2012-07-23 04:32:58 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.5-2.fc17.x86_64
time:           Mon 23 Jul 2012 02:02:43 PM IST

description:
:SELinux is preventing /usr/bin/bash from 'execute' accesses on the file /usr/bin/bash.
:
:*****  Plugin leaks (86.2 confidence) suggests  ******************************
:
:If you want to ignore bash trying to execute access the bash file, because you believe it should not need this access.
:Then you should report this as a bug.  
:You can generate a local policy module to dontaudit this access.
:Do
:# grep /usr/bin/bash /var/log/audit/audit.log | audit2allow -D -M mypol
:# semodule -i mypol.pp
:
:*****  Plugin catchall (14.7 confidence) suggests  ***************************
:
:If you believe that bash should be allowed execute access on the bash file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep lsb_release /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:jockey_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:shell_exec_t:s0
:Target Objects                /usr/bin/bash [ file ]
:Source                        lsb_release
:Source Path                   /usr/bin/bash
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           bash-4.2.36-1.fc17.x86_64
:Target RPM Packages           bash-4.2.36-1.fc17.x86_64
:Policy RPM                    selinux-policy-3.10.0-140.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.5-2.fc17.x86_64 #1 SMP Mon Jul 16
:                              20:52:08 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Mon 23 Jul 2012 02:00:36 PM IST
:Last Seen                     Mon 23 Jul 2012 02:00:36 PM IST
:Local ID                      4e3eb032-99d0-41e9-be99-0bfdc919d3e6
:
:Raw Audit Messages
:type=AVC msg=audit(1343032236.164:548): avc:  denied  { execute } for  pid=30134 comm="jockey-backend" name="bash" dev="sda1" ino=1317209 scontext=system_u:system_r:jockey_t:s0-s0:c0.c1023 tcontext=system_u:object_r:shell_exec_t:s0 tclass=file
:
:
:type=AVC msg=audit(1343032236.164:548): avc:  denied  { read open } for  pid=30134 comm="jockey-backend" name="bash" dev="sda1" ino=1317209 scontext=system_u:system_r:jockey_t:s0-s0:c0.c1023 tcontext=system_u:object_r:shell_exec_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1343032236.164:548): arch=x86_64 syscall=execve success=yes exit=0 a0=9cda80 a1=cd0f50 a2=7fff772d9a98 a3=20 items=0 ppid=30133 pid=30134 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=lsb_release exe=/usr/bin/bash subj=system_u:system_r:jockey_t:s0-s0:c0.c1023 key=(null)
:
:Hash: lsb_release,jockey_t,shell_exec_t,file,execute
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-07-23 07:06:01 EDT
Fixed in selinux-policy-3.10.0-141.fc17
Comment 2 Fedora Update System 2012-07-27 11:34:06 EDT
selinux-policy-3.10.0-142.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-142.fc17
Comment 3 Fedora Update System 2012-07-27 21:23:53 EDT
Package selinux-policy-3.10.0-142.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-142.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11215/selinux-policy-3.10.0-142.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-08-01 14:21:22 EDT
selinux-policy-3.10.0-142.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.